### Function

# Camel IndexNorm

#### Declaration

    gchar*
    (* CamelIndexNorm) (
      CamelIndex* index,
      const gchar* word,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`index`

  Type: `CamelIndex`

  No description available.

  The data is owned by the caller of the function.

`word`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.